curl --request POST \
--url https://api.synctera.com/v1/cards/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"is_active": true,
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}
'import requests
url = "https://api.synctera.com/v1/cards/gateways"
payload = {
"card_products": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"is_active": True,
"url": "<string>",
"custom_headers": {},
"standin": { "enabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_products: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
is_active: true,
url: '<string>',
custom_headers: {},
standin: {enabled: true}
})
};
fetch('https://api.synctera.com/v1/cards/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"tenant": "abcdef_ghijkl",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create Gateway
Create a new Authorization Gateway Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Create a new Authorization Gateway Configuration
List of Card Product unique identifiers that will utilize the Gateway
Current status of the Authorization gateway
URL of the Authorization gateway
1000These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Callbacks
POST{$request.body#/url}gateway_authorization
Body
Request sent to gateway for authorization.
Unique identifier of the account.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
PHYSICAL, VIRTUAL Unique identifier of the card.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Unique identifier of the customer.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Last four digits of the card PAN.
"1234"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
EPISODE_SIX, MARQETA An unstructured JSON blob containing raw transaction data from the processor.
"2010-05-06T12:23:34.321Z"
Unique identifier of the transaction.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
The time when the transaction occurred.
"2010-05-06T12:23:34.321Z"
Unique identifier of the digital wallet token.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier assigned to each individual request.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Indicates if the transaction is surcharge free.
Show child attributes
Show child attributes
ACQUIRER_EXEMPT, AUTHENTICATED, EXEMPT, NOT_AUTHENTICATED Show child attributes
Show child attributes
Response
Approve the funding request.
Response
New Authorization Gateway Configuration created
List of Card Product unique identifiers that will utilize the Gateway
The timestamp representing when the gateway config request was made
"2010-05-06T12:23:34.321Z"
Gateway ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Current status of the Authorization gateway
The timestamp representing when the gateway config was last modified at
"2010-05-06T12:23:34.321Z"
The id of the tenant containing the resource.
"abcdef_ghijkl"
URL of the Authorization gateway
1000These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

